Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Functions
- Variables
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

### - r -

- raised_flag : rb_thread_struct
- range : rb_objspace
- rational : RVALUE
- raw_buffer : yaml_parser_s , yaml_emitter_s
- rbuf : rb_io_t
- rclass : METHOD
- reach_end : OptExactInfo
- read : select_args
- read_handler : yaml_parser_s
- read_handler_data : yaml_parser_s
- readable : load_arg
- readagain_len : rb_transcoding , rb_econv_t
- readbuf : rb_transcoding
- readconv : rb_io_t
- real : RComplex
- real_entries : st_table
- realvar : olevariantdata
- receiver : cmd_body_arg
- recognized_len : rb_transcoding
- record : rb_objspace , st_table_entry
- recv : METHOD , rb_call_info_struct , rescue_funcall_args
- redirect_fds : rb_execarg
- redo_label : iseq_compile_data
- reduce_n : cparse_params
- reduce_table : cparse_params
- ref1 : OnigToken
- ref_count : tcltkip
- refcount : _Win32OLEIDispatch
- references : yaml_emitter_s
- refined_class : rb_classext_struct
- refs : rof_data , OnigToken
- reg : INamesArg , ScanEnv
- regexp : RVALUE , RMatch
- region : OnigMatchArg
- regnum : EncloseNode
- regs : strscanner , rmatch
- rel : OnigToken
- remote : inetsock_arg
- removed : trace_var
- repeat : _OnigStackType , OnigToken
- repeat_inc : _OnigStackType
- repeat_range : re_pattern_buffer
- repeat_range_alloc : re_pattern_buffer
- replacement_allocated : rb_econv_t
- replacement_enc : rb_econv_t
- replacement_len : rb_econv_t
- replacement_str : rb_econv_t
- req_list : cmdline_options
- required : yaml_simple_key_s
- res : udp_arg , inetsock_arg , getaddrinfo_arg
- reserved : rb_data_type_struct
- reset : zstream::zstream_funcs
- resetsize_func : rb_transcoder
- resetstate_func : rb_transcoder
- rest_arg : rb_args_info
- result : rb_econv_t , call_queue , eval_queue , invoke_queue , equal_data , loaded_feature_searching
- resume_position : rb_transcoding
- ret : INamesArg , rb_econv_init_by_convpath_t
- ret_addr : _OnigStackType
- return_value : tcltkip
- retval : rb_vm_tag , cparse_params
- right_anchor : OptAncInfo
- rlimit_limits : rb_execarg
- rm_eo : posix_regmatch_t
- rm_so : posix_regmatch_t
- rmatch : RMatch
- root_context : yaml_emitter_s
- root_fiber : rb_thread_struct
- root_jmpbuf : rb_thread_struct
- root_lep : rb_thread_struct
- root_svar : rb_thread_struct
- RR : stack_node
- rstruct : RVALUE
- rtn : wgetstr_arg
- ruby_encoding_index : OnigEncodingTypeST
- ruleno : cparse_params
- run : zstream::zstream_funcs , rb_objspace
- running : rb_vm_struct
- running_thread : rb_vm_struct
- running_time_us : rb_thread_struct